const { spawn, spawnSync } = require("child_process");
const { getClonedDirPath, getDeleteDirPath } = require("../utils/getFsUtils");
const { Logger } = require("../utils/Logger");
const { getRepoName } = require("../pre-commit");
const { removeFolder } = require("./directoryUtils");
const cloneRepoProperties = {
  endPoint:
    "https://rajasekar.hm:JzPFGpj2fayCG1cJGKUz@zgit.csez.zohocorpin.com/code_standard/client_linter/linter_configuration.git",
  branch: "master",
  cacheDirectory: "./",
  name: "configuration",
  type: "git"
};

function cloneViaCli() {
  removeFolder(getDeleteDirPath())
  const prefix = "npx";
  const command = [
    `cdt`,
    `clone`,
    `--clone:type=${cloneRepoProperties.type}`,
    `--clone:url=${cloneRepoProperties.endPoint}`,
    `--clone:branch=${cloneRepoProperties.branch}`,
    `--clone:cacheDir=${cloneRepoProperties.cacheDirectory}`,
    `--clone:proj:name=${cloneRepoProperties.name}`
  ];

    try{
      const cloneProcess = spawnSync(prefix,command,{cwd:getClonedDirPath() })

    if(cloneProcess.error){
      Logger.log(Logger.FAILURE_TYPE,cloneProcess.error)
      Logger.log(Logger.FAILURE_TYPE,'Could not clone the linters common repo')
      return false
    }
    else if(cloneProcess.status !== 0){
      Logger.log(Logger.FAILURE_TYPE,`Cloning process exit status: ${cloneProcess.status}`)
      Logger.log(Logger.FAILURE_TYPE,cloneProcess.stderr.toString())
      Logger.log(Logger.FAILURE_TYPE,'Could not clone the linters common repo')
      return false
    }

    Logger.log(Logger.SUCCESS_TYPE,`Lint Configuration Cloned Successfully - ${getRepoName()}`)
    return true
    }
    catch(error){
      Logger.log(Logger.FAILURE_TYPE,error)
      Logger.log(Logger.FAILURE_TYPE,'Could not clone the linters common repo')
      return false
    }
}

module.exports = { 
    cloneViaCli
}
