#!/usr/bin/env node

const { cloneViaCli } = require("../apiConfigUtils/cloneViaCli");
const { setupHusky } = require("../pre-commit/huskySetup/setupHusky");
const { installPlugins } = require("../utils/installPlugins");
const { createEslintConfigFile } = require('../utils/createEslintConfigFile');
const { installEslintExtension } = require('../utils/installEslintExtension');
const { Logger } = require("../utils/Logger");
const { handleIfFalse_ExceptionCase } = require("../utils/getScripts");

async function postInstall() {
    try {
        await handleIfFalse_ExceptionCase('Some issue occurred in setting up husky.',setupHusky,null)
        await handleIfFalse_ExceptionCase('Make sure zgit.csez.zohocorpin.com is accessible',cloneViaCli,null);
        await handleIfFalse_ExceptionCase('Some issue occurred in installing plugins',installPlugins,null);
        await handleIfFalse_ExceptionCase('Some issue occurred in creating eslint config file.',createEslintConfigFile,null);
        await handleIfFalse_ExceptionCase('Kindly install eslint extension for Vscode manually.',installEslintExtension,null)
        Logger.log(Logger.SUCCESS_TYPE, 'Pre commit setup successful');
    } catch (error) {
        Logger.log(Logger.FAILURE_TYPE, `Kindly retry npm install. & ${error.message}`);
    }
}


postInstall();


