const { spawnSync } = require("child_process");
const { handleExceptionCase } = require("../../../utils/getScripts");

function getGitUserName() {
  const userHandler = () => {
    const userName = exeSpawnSync("git", ["config", "user.email"]);
  return userName.pop().split("@")[0];
  }
  return handleExceptionCase(null,'kindly initialize git properly',userHandler,null)
}

function getRepoName() {
  const repoHandler = () => {
    const repoName = exeSpawnSync("git", ["remote", "get-url", "origin"]);
    return repoName.pop().split("/").pop().split(".")[0];
  };
  return handleExceptionCase(null,'kindly initialize git properly',repoHandler,null)
}

function getBranchName() {
  const branchHandler = () => {
    var branchName = exeSpawnSync("git", ["rev-parse", "--abbrev-ref", "HEAD"]); // to get current branch
    return branchName.shift().trim();
  };
  return handleExceptionCase(null,'kindly initialize git properly',branchHandler,null)
}

function exeSpawnSync(command, params = []) {
  const demon_process = spawnSync(command, params, { shell: true });
  return demon_process.stdout.toString().split("\n").filter(Boolean);
}

module.exports = {
  getBranchName,
  getGitUserName,
  getRepoName
};
