/* eslint-disable no-console */

const {execSync} = require('child_process')
const { navigateToRootDirectory, getRootDirectory } = require('../../../utils/navigateToRootDirectory')
const { Logger } = require('../../../utils/Logger')

function initializeHusky(){

    let isNavigationToRootDirectorySuccessful = navigateToRootDirectory(getRootDirectory())
    
    if(isNavigationToRootDirectorySuccessful){
        try{
            execSync('npx husky install')
            return true
        }
        catch(error){
            Logger.log(Logger.FAILURE_TYPE,error.toString())
            Logger.log(Logger.FAILURE_TYPE,'Couldn\'t initialize husky')
            return false
        }
    }    
}

module.exports = initializeHusky