const { Logger } = require('./Logger')

function executeSynchronizedCommands(command,commandArgs,successMessage='',errorMessage='',shouldCommandResultBeReturned=false,shouldReturnBooleanValue=false){
    try{
        if(shouldCommandResultBeReturned){
            return command(...commandArgs)
        }
        else if(!shouldCommandResultBeReturned){
            command(...commandArgs)
        }
        
        if(successMessage.trim() !== ''){
            Logger.log(Logger.SUCCESS_TYPE,successMessage)
        }
        
        if(shouldReturnBooleanValue){
            return true
        }
    }
    catch(error){
        Logger.log(Logger.FAILURE_TYPE,error)
        Logger.log(Logger.FAILURE_TYPE,errorMessage)
        if(shouldReturnBooleanValue){
            return false
        }
    }
}

module.exports = {
    executeSynchronizedCommands
}