const {spawnSync} = require('child_process')
const { Logger } = require('./Logger')

function installEslintExtension(){
    let eslintExtensionCode = 'dbaeumer.vscode-eslint'
    let extensionInstallCommand =  ['--install-extension', eslintExtensionCode]

    let installEslintExtension = spawnSync('code',extensionInstallCommand)

    if(installEslintExtension.error){
        Logger.log(Logger.FAILURE_TYPE,error)
        Logger.log(Logger.FAILURE_TYPE,'Unable to install eslint extension for vscode.')
        return false
    }
    else if(installEslintExtension.status !== 0){
        Logger.log(Logger.FAILURE_TYPE,installEslintExtension.stderr.toString())
        Logger.log(Logger.FAILURE_TYPE,'Unable to install eslint extension for vscode.')
        return false
    }
    else{
        Logger.log(Logger.SUCCESS_TYPE,'Eslint extension for vscode installed successfully! If eslint errors not being reported in editor, kindly restart Vscode.')
        return true
    }
}

module.exports = {
    installEslintExtension
}